PostgreSQL 7.1.3 Documentation
Prev |  | Next

# DROP USER

## Name

DROP USER -- Removes a user

## Synopsis

    DROP USER name

### Inputs

`name`

  The name of an existing user.

### Outputs

`DROP USER`

  The message returned if the user is successfully deleted.

`ERROR: DROP USER: user "`name`" does not exist`

  This message occurs if the username is not found.

`DROP USER: user "`name`" owns database "`name`", cannot be removed`

  You must drop the database first or change its ownership.

## Description

DROP USER removes the specified user from the database. It does not remove tables, views, or other objects owned by the user. If the user owns any database you get an error.

Use CREATE USER to add new users, and ALTER USER to change a user's properties. Postgres comes with a script dropuser which has the same functionality as this command (in fact, it calls this command) but can be run from the command shell.

## Usage

To drop a user account:

    DROP USER jonathan;

## Compatibility

### SQL92

There is no DROP USER in SQL92.

Prev | Home | Next
DROP TYPE | Up | DROP VIEW